Bug 76645 - FILESAVE Impress does not preserve hyperlinked letters color on export to .ppt format
Summary: FILESAVE Impress does not preserve hyperlinked letters color on export to .pp...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:ppt, filter:pptx
Depends on:
Blocks: PPT-Limitations Hyperlink OOXML-Doc-Themes
  Show dependency treegraph
 
Reported: 2014-03-26 15:59 UTC by malekpatryk
Modified: 2022-07-08 14:21 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Presentation which while exported does not preserve hyperlinks font color (160.71 KB, application/vnd.oasis.opendocument.presentation)
2014-03-26 15:59 UTC, malekpatryk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description malekpatryk 2014-03-26 15:59:05 UTC
Created attachment 96419 [details]
Presentation which while exported does not preserve hyperlinks font color

Problem description: 

Steps to reproduce:
1. Export the attached .odp file to .ppt
2. Hyperlinks' font color in the exported .ppt changed.

Expected behavior:
Hyperlinks' font color should remain the same on export.
              
$ lsb_release -rd
Description:    Ubuntu 13.10
Release:        13.10

$ apt-cache policy libreoffice-impress
libreoffice-impress:
  Installed: 1:4.2.2~rc1-0ubuntu1~saucy1
  Candidate: 1:4.2.2~rc1-0ubuntu1~saucy1
  Version table:
 *** 1:4.2.2~rc1-0ubuntu1~saucy1 0
        500 http://ppa.launchpad.net/libreoffice/libreoffice-4-2/ubuntu/ saucy/main amd64 Packages
        100 /var/lib/dpkg/status
     1:4.1.3-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ saucy-updates/main amd64 Packages
     1:4.1.2~rc3-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ saucy/main amd64 Packages
Comment 1 Thomas Hackert 2014-04-09 12:12:54 UTC
Hello malekpatryk, *,
I can confirm it with LO Version: 4.1.5.3 Build-ID: 1c1366bba2ba2b554cd2ca4d87c06da81c05d24 (with installed Germanophone lang- as well as helppack), with Version: 4.2.3.3 Build-ID: 6c3586f855673fa6a1576797f575b31ac6fa0ba3 (parallel installed, following the instructions from https://wiki.documentfoundation.org/Installing_in_parallel with Germanophone lang- as well as helppack) and also with Version: 4.3.0.0.alpha0+
Build ID: 6d9d0393f54d6a20a5c5b11b038fb1cb9dcfe492 TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-04-09_06:28:03 (installed with en_US lang- as well as helppack) under Debian Testing i686 ... :( A further test reveals, that the Germanophone version of AOO (AOO401m5(Build:9714)  -  Rev. 1524958 2013-09-20 11:41 - Linux i686) under Debian Testing i686 also has this bug ... :( I have no older version of AOO/OOo here to test it, sorry ... :( Maybe someone else is able to do this work ... ;)
HTH
Thomas.
Comment 2 QA Administrators 2015-06-08 14:41:32 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-06-21 17:07:07 UTC
Repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 4 Robert Pollak 2016-09-09 12:36:16 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2016-09-16 16:29:26 UTC
(In reply to Robert Pollak from comment #4)
> Can someone please test whether this happens on export or import?
> I.e. when opening the exported file in MS Powerpoint, is the color still
> correct?

No, the color is the same incorrect light blue in PP 2013.

Win 8.1 32-bit
MSO 2013
LibO Version: 5.3.0.0.alpha0+
Build ID: 8697d18f717c75ddeedfe08161091da71007b859
CPU Threads: 4; OS Version: Windows 6.29; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-09-15_02:55:18
Locale: fi-FI (fi_FI); Calc: group
Comment 6 Aron Budea 2018-04-11 18:40:23 UTC
In PowerPoint the link colors can only be set in themes, not individually:
https://support.office.com/en-us/article/change-the-color-of-hyperlink-text-77c55b2d-3b2e-4ec4-924c-3165972e1bfa

Not sure how LO can properly support that, though if there's a single given color this should be possible.
Comment 7 QA Administrators 2020-12-12 03:48:56 UTC
Dear malekpatryk,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug